# Uses of Interface
net.shibboleth.idp.plugin.authn.webauthn.storage.WebAuthnCredentialRepository

Packages that use WebAuthnCredentialRepository
Package
Description
net.shibboleth.idp.plugin.authn.webauthn.admin.impl
This package has audit functions for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.impl
This package has an authentication implementation for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.storage.impl
This package has storage implementations for WebAuthn.

## Uses of WebAuthnCredentialRepository in net.shibboleth.idp.plugin.authn.webauthn.admin.impl

Fields in net.shibboleth.idp.plugin.authn.webauthn.admin.impl declared as WebAuthnCredentialRepository
Modifier and Type
Field
Description
`private WebAuthnCredentialRepository`
RequireStrongFreshAuthnAccessPredicate.`credentialRepository`
The credential repository.
`private WebAuthnCredentialRepository`
AddUserId.`repository`
The credential repository to use.
`private WebAuthnCredentialRepository`
AddUserName.`repository`
The credential repository to use.
`private WebAuthnCredentialRepository`
AdminDeletePublicKeyCredential.`repository`
The credential repository to use.
`private WebAuthnCredentialRepository`
DeletePublicKeyCredential.`repository`
The credential repository to use.
`private WebAuthnCredentialRepository`
LookupCredentialsForUser.`repository`
The credential repository to use.
`private WebAuthnCredentialRepository`
StorePublicKeyCredential.`repository`
The credential repository to use.
`private WebAuthnCredentialRepository`
UpdateCredentialNickname.`repository`
The credential repository to use.
Methods in net.shibboleth.idp.plugin.authn.webauthn.admin.impl with parameters of type WebAuthnCredentialRepository
Modifier and Type
Method
Description
`void`
RequireStrongFreshAuthnAccessPredicate.`setCredentialRepository(WebAuthnCredentialRepository repository)`
Set the credential repository used to store WebAuthn credentials.

## Uses of WebAuthnCredentialRepository in net.shibboleth.idp.plugin.authn.webauthn.impl

Fields in net.shibboleth.idp.plugin.authn.webauthn.impl declared as WebAuthnCredentialRepository
Modifier and Type
Field
Description
`private WebAuthnCredentialRepository`
AbstractWebAuthnAction.`credentialRepository`
The credential repository to store valid credentials in.
`private WebAuthnCredentialRepository`
ValidateWebAuthnAssertion.`credentialRepository`
The credential repository to validate assertion responses against.
`private WebAuthnCredentialRepository`
CheckCredentialPolicy.`repository`
The credential repository to use.
`private WebAuthnCredentialRepository`
LookupRegisteredCredentials.`repository`
The credential repository to use.
`private WebAuthnCredentialRepository`
LookupRegisteredCredentialsFromUserHandle.`repository`
The credential repository to use.
Methods in net.shibboleth.idp.plugin.authn.webauthn.impl that return WebAuthnCredentialRepository
Modifier and Type
Method
Description
`protected WebAuthnCredentialRepository`
AbstractWebAuthnAction.`getCredentialRepository()`
Get the credential repository used to store WebAuthn credentials.
Methods in net.shibboleth.idp.plugin.authn.webauthn.impl with parameters of type WebAuthnCredentialRepository
Modifier and Type
Method
Description
`void`
AbstractWebAuthnAction.`setCredentialRepository(WebAuthnCredentialRepository repository)`
Set the credential repository used to store WebAuthn credentials.
`void`
ValidateWebAuthnAssertion.`setCredentialRepository(WebAuthnCredentialRepository repository)`
Set the credential repository used to store WebAuthn credentials.

## Uses of WebAuthnCredentialRepository in net.shibboleth.idp.plugin.authn.webauthn.storage.impl

Classes in net.shibboleth.idp.plugin.authn.webauthn.storage.impl that implement WebAuthnCredentialRepository
Modifier and Type
Class
Description
`class`
`IdPStorageServiceCredentialRepository`
A `CredentialRepository` adaptor for the Shibboleth `StorageService`.
`class`
`StrategyBasedIdPStorageServiceCredentialRepository`
An extension of the `IdPStorageServiceCredentialRepository` that utalizes specialised lookup functions to improve the performance of userHandle and credentialId lookup operations.
Methods in net.shibboleth.idp.plugin.authn.webauthn.storage.impl that return WebAuthnCredentialRepository
Modifier and Type
Method
Description
`WebAuthnCredentialRepository`
StorageServiceCredentialRepositoryFactory.`getObject()`